Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Types | Public Member Functions | List of all members
ranges::v3::view::addressof_fn Struct Reference

## Public Types
template<typename Rng >
using | Constraint = meta::and_< InputRange< Rng >, std::is_lvalue_reference< range_reference_t< Rng > >>

## Public Member Functions
template<typename Rng , requires = (Constraint<Rng>())>
auto | operator() (Rng &&rng) const noexcept(noexcept(decltype(transform(all(static_cast< Rng && >(rng)), pred{}))(transform(all(static_cast< Rng && >(rng)), pred{})))) -> decltype(transform(all(static_cast< Rng && >(rng)), pred